<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cai.mapper.RechargeOrderMapper">

    <resultMap type="com.ruoyi.cai.domain.RechargeOrder" id="RechargeOrderResult">
        <result property="id" column="id"/>
        <result property="userId" column="user_id"/>
        <result property="rechargeId" column="recharge_id"/>
        <result property="rechargeName" column="recharge_name"/>
        <result property="rechargeCoin" column="recharge_coin"/>
        <result property="price" column="price"/>
        <result property="orderNo" column="order_no"/>
        <result property="platformType" column="platform_type"/>
        <result property="payStatus" column="pay_status"/>
        <result property="appid" column="appid"/>
        <result property="returnContent" column="return_content"/>
        <result property="createTime" column="create_time"/>
        <result property="operateIp" column="operate_ip"/>
        <result property="admin" column="admin"/>
    </resultMap>
    <select id="pageAdmin" resultType="com.ruoyi.cai.dto.admin.vo.RechargeOrderAdminVo">
        select t1.*,t2.usercode,t2.nickname,t2.mobile,t2.avatar,t2.gender,t2.is_anchor,t2.age
        from cai_recharge_order t1
        left join cai_user t2 on t1.user_id = t2.id
        <where>
            <if test="bo.mobile != null and bo.mobile != ''">
                and t2.mobile = #{bo.mobile}
            </if>
            <if test="bo.usercode != null and bo.usercode != ''">
                and t2.usercode = #{bo.usercode}
            </if>
            <if test="bo.payStatus != null">
                and t1.pay_status = #{bo.payStatus}
            </if>
            <if test="bo.usedPay">
                and t1.pay_status != 0
            </if>
            <if test="bo.orderNo != null and bo.orderNo != ''">
                and t1.order_no = #{bo.orderNo}
            </if>
            <if test="bo.traceId != null">
                and t1.trace_id = #{bo.traceId}
            </if>
        </where>
        order by t1.create_time desc
    </select>


</mapper>
